import dynamix_sdk.base as _base


class CloudbrokerAccountDisableAccountsResultStr(_base.BaseAPIResultStr):
    pass


class CloudbrokerAccountDisableAccountsProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def disable_accounts(
        self,
        *,
        account_ids: list[int],
    ) -> CloudbrokerAccountDisableAccountsResultStr:
        ...
